## console-braille 1.1ubuntu1

=== Makefile ===
BRLS:=$(wildcard brl-*.c)
TARGETS:=$(BRLS:.c=.psf)
PROGS:=$(BRLS:.c=)

all: $(TARGETS) brl.uni setbrlkeys

brl-%: brl-%.o psf.o
	$(CC) -o $@ $(LDFLAGS) $^ $(LDLIBS)

.INTERMEDIATE: $(PROGS) uni

$(TARGETS): %.psf: %
	./$< > $@

brl.uni: uni
	./$< 0 > $@

clean:
	rm -f $(PROGS) psf.o $(BRLS:.c=.o) $(TARGETS) brl.uni uni setbrlkeys

=== debian/changelog ===
console-braille (1.1ubuntu1) lucid; urgency=low

  * debian/control: changed build dependency on locales-all to
    language-pack-en-base. This fixes a FTBFS. Thanks to lifeless for the
    pointer!

 -- Fabrice Coutadeur <fabricesp@ubuntu.com>  Thu, 11 Feb 2010 05:35:10 +0000

console-braille (1.1) unstable; urgency=low

  * debian/control:
    - Add Multi-Arch: foreign header.
    - Bump Standards-Version to 3.8.3 (no changes needed).
    - Add heading space to description's list (Closes: Bug#542456).

 -- Samuel Thibault <sthibault@debian.org>  Wed, 19 Aug 2009 20:56:28 +0200

console-braille (1.0) unstable; urgency=low

  * Initial release (Closes: Bug#534989)

 -- Samuel Thibault <sthibault@debian.org>  Sun, 28 Jun 2009 20:59:16 +0200

=== debian/control ===
Source: console-braille
Section: utils
Priority: extra
Maintainer: Ubuntu Developers <ubuntu-devel-discuss@lists.ubuntu.com>
XSBC-Original-Maintainer: Debian Accessibility Team <debian-accessibility@lists.debian.org>
Uploaders: Samuel Thibault <sthibault@debian.org>
Build-Depends: debhelper (>= 7), language-pack-en-base
Standards-Version: 3.8.3
Vcs-Browser: http://git.debian.org/?p=pkg-a11y/console-braille.git;a=summary
Vcs-Git: git://git.debian.org/git/pkg-a11y/console-braille.git
Homepage: http://brl.thefreecat.org/

Package: console-braille
Architecture: any
Multi-Arch: foreign
Depends: ${shlibs:Depends}, ${misc:Depends}
Description: Fonts and keymaps for reading/typing unicode braille
 This package includes
 .
  - fonts with various sizes to render braille on the Linux console
  - keymaps to type braille as unicode characters on the Linux console.

=== debian/rules ===
#!/usr/bin/make -f

build: build-stamp

build-stamp:
	dh_testdir

	LC_ALL=en_US.UTF-8 $(MAKE)

	touch $@

clean: 
	dh_testdir
	dh_testroot
	rm -f build-stamp configure-stamp

	$(MAKE) clean

	dh_clean 

binary-arch: install
	dh_testdir
	dh_testroot
	dh_installchangelogs 
	dh_installdocs
	dh_installexamples
	dh_install
	for i in amiga atari i386 mac sun; \
	do \
		dh_install keymaps/$$i/include/* /usr/share/keymaps/$$i/include ; \
	done
	dh_installman
	dh_link
	dh_strip
	dh_compress
	dh_fixperms
	dh_installdeb
	dh_shlibdeps
	dh_gencontrol
	dh_md5sums
	dh_builddeb

binary: binary-indep binary-arch
.PHONY: build clean binary-indep binary-arch binary install

## console-braille 1.2

=== debian/changelog ===
console-braille (1.2) unstable; urgency=low

  * debian/control: Bump Standards-Version to 3.8.4 (no change needed).
  * Makefile: Build setbrlkeys only on Linux.
  * debian/install: rename into debian/console-braille.install
  * debian/console-braille.install.{hurd-i386,kfreebsd-{i386,amd64}}: Add to not
    install setbrlkeys on !linux-any.

 -- Samuel Thibault <sthibault@debian.org>  Wed, 27 Jan 2010 23:46:21 +0100

=== debian/control ===
--- 
+++ 
@@ -1,11 +1,10 @@
 Source: console-braille
 Section: utils
 Priority: extra
-Maintainer: Ubuntu Developers <ubuntu-devel-discuss@lists.ubuntu.com>
-XSBC-Original-Maintainer: Debian Accessibility Team <debian-accessibility@lists.debian.org>
+Maintainer: Debian Accessibility Team <debian-accessibility@lists.debian.org>
 Uploaders: Samuel Thibault <sthibault@debian.org>
-Build-Depends: debhelper (>= 7), language-pack-en-base
-Standards-Version: 3.8.3
+Build-Depends: debhelper (>= 7), locales-all
+Standards-Version: 3.8.4
 Vcs-Browser: http://git.debian.org/?p=pkg-a11y/console-braille.git;a=summary
 Vcs-Git: git://git.debian.org/git/pkg-a11y/console-braille.git
 Homepage: http://brl.thefreecat.org/

## console-braille 1.2ubuntu1

=== debian/changelog ===
console-braille (1.2ubuntu1) maverick; urgency=low

  * Merge from debian unstable (LP: #593143), remaining changes:
    - debian/control: changed build dependency on locales-all to
      language-pack-en-base. This fixes a FTBFS. Thanks to lifeless for the
      pointer!

 -- Lorenzo De Liso <blackzldl@gmail.com>  Sat, 12 Jun 2010 20:57:34 +0200

=== debian/control ===
--- 
+++ 
@@ -1,9 +1,10 @@
 Source: console-braille
 Section: utils
 Priority: extra
-Maintainer: Debian Accessibility Team <debian-accessibility@lists.debian.org>
+Maintainer: Ubuntu Developers <ubuntu-devel-discuss@lists.ubuntu.com>
+XSBC-Original-Maintainer: Debian Accessibility Team <debian-accessibility@lists.debian.org>
 Uploaders: Samuel Thibault <sthibault@debian.org>
-Build-Depends: debhelper (>= 7), locales-all
+Build-Depends: debhelper (>= 7), language-pack-en-base
 Standards-Version: 3.8.4
 Vcs-Browser: http://git.debian.org/?p=pkg-a11y/console-braille.git;a=summary
 Vcs-Git: git://git.debian.org/git/pkg-a11y/console-braille.git

## console-braille 1.3

=== debian/changelog ===
console-braille (1.3) unstable; urgency=low

  * debian/control:
    - Bump Standards-Version to 3.9.2 (no change needed).
    - Depend on hardening-check.
    - Do not depend on locales-all.
  * rules:
    - Set DEB_BUILD_HARDENING=1 to enable hardening.
    - Use C.UTF-8 instead of en_US.UTF-8.

 -- Samuel Thibault <sthibault@debian.org>  Sun, 06 Nov 2011 23:39:24 +0100

=== debian/control ===
--- 
+++ 
@@ -1,11 +1,10 @@
 Source: console-braille
 Section: utils
 Priority: extra
-Maintainer: Ubuntu Developers <ubuntu-devel-discuss@lists.ubuntu.com>
-XSBC-Original-Maintainer: Debian Accessibility Team <debian-accessibility@lists.debian.org>
+Maintainer: Debian Accessibility Team <debian-accessibility@lists.debian.org>
 Uploaders: Samuel Thibault <sthibault@debian.org>
-Build-Depends: debhelper (>= 7), language-pack-en-base
-Standards-Version: 3.8.4
+Build-Depends: debhelper (>= 7), hardening-wrapper
+Standards-Version: 3.9.2
 Vcs-Browser: http://git.debian.org/?p=pkg-a11y/console-braille.git;a=summary
 Vcs-Git: git://git.debian.org/git/pkg-a11y/console-braille.git
 Homepage: http://brl.thefreecat.org/

=== debian/rules ===
--- 
+++ 
@@ -1,11 +1,15 @@
 #!/usr/bin/make -f
 
-build: build-stamp
+export DEB_BUILD_HARDENING=1
+
+build: build-indep build-arch
+build-indep:
+build-arch: build-stamp
 
 build-stamp:
 	dh_testdir
 
-	LC_ALL=en_US.UTF-8 $(MAKE)
+	LC_ALL=C.UTF-8 $(MAKE)
 
 	touch $@

## console-braille 1.4

=== Makefile ===
--- 
+++ 
@@ -2,7 +2,13 @@
 TARGETS:=$(BRLS:.c=.psf)
 PROGS:=$(BRLS:.c=)
 
-all: $(TARGETS) brl.uni setbrlkeys
+UNAME=$(shell uname)
+
+all: $(TARGETS) brl.uni
+
+ifeq ($(UNAME),Linux)
+all: setbrlkeys
+endif
 
 brl-%: brl-%.o psf.o
 	$(CC) -o $@ $(LDFLAGS) $^ $(LDLIBS)

=== debian/changelog ===
console-braille (1.4) unstable; urgency=low

  * control: Bump Standards-Version to 3.9.6 (no changes).
  * compat: Bump to 9.
  * rules: Clear.

 -- Samuel Thibault <sthibault@debian.org>  Tue, 22 Dec 2015 22:05:28 +0100

=== debian/control ===
--- 
+++ 
@@ -3,8 +3,8 @@
 Priority: extra
 Maintainer: Debian Accessibility Team <debian-accessibility@lists.debian.org>
 Uploaders: Samuel Thibault <sthibault@debian.org>
-Build-Depends: debhelper (>= 7), hardening-wrapper
-Standards-Version: 3.9.2
+Build-Depends: debhelper (>= 9)
+Standards-Version: 3.9.6
 Vcs-Browser: http://git.debian.org/?p=pkg-a11y/console-braille.git;a=summary
 Vcs-Git: git://git.debian.org/git/pkg-a11y/console-braille.git
 Homepage: http://brl.thefreecat.org/

=== debian/rules ===
#!/usr/bin/make -f

%:
	dh $@

override_dh_auto_build:
	LC_ALL=C.UTF-8 $(MAKE)

override_dh_install:
	dh_install
	for i in amiga atari i386 mac sun; \
	do \
		dh_install keymaps/$$i/include/* /usr/share/keymaps/$$i/include ; \
	done

## console-braille 1.6

=== Makefile ===
BRLS:=$(wildcard brl-*.c)
TARGETS:=$(BRLS:.c=.psf)
PROGS:=$(BRLS:.c=)
TESTPROGS:=$(BRLS:.c=.test)
TESTS:=$(BRLS:.c=.txt)

UNAME=$(shell uname)

all: $(TARGETS) brl.uni

test: $(TESTS)

ifeq ($(UNAME),Linux)
all: setbrlkeys
endif

brl-%: brl-%.o psf.o
	$(CC) -o $@ $(LDFLAGS) $^ $(LDLIBS)

%.test.o: %.c do.h
	$(CC) $(CFLAGS) $(CPPFLAGS) -DTEST -c -o $@ $<

.INTERMEDIATE: $(PROGS) $(TESTPROGS) uni

$(TARGETS): %.psf: %
	./$< > $@

$(TESTS): %.txt: %.test
	./$< > $@

brl.uni: uni
	./$< 0 > $@

clean:
	rm -f $(PROGS) $(TESTPROGS) psf.o $(BRLS:.c=.o) $(TARGETS) $(TESTS) brl.uni uni setbrlkeys

=== debian/changelog ===
console-braille (1.6) unstable; urgency=medium

  * Add 10x7, 11x8, 12x7, 13x10, 13x7, 13x9, 14x10, 16x10, 16x11, 16x12, 17x10,
    17x11, 18x9, 19x11, 19x12, 19x13, 20x11, 20x12, 20x14, 21x13, 21x14, 21x15
    fonts.

 -- Samuel Thibault <sthibault@debian.org>  Sun, 03 Dec 2017 17:23:01 +0100

console-braille (1.5) unstable; urgency=medium

  * rules: Use dh_auto_build.
  * Use canonical anonscm vcs URL.
  * control: Update maintainer mailing list.
  * control: Migrate priority to optional.
  * control: Bump Standards-Version to 4.1.1.
  * Add 15x9, 20x8, 24x8, 22x11, 28x16 fonts.

 -- Samuel Thibault <sthibault@debian.org>  Sun, 03 Dec 2017 15:45:05 +0100

## console-braille 1.7

=== Makefile ===
--- 
+++ 
@@ -6,7 +6,7 @@
 
 UNAME=$(shell uname)
 
-all: $(TARGETS) brl.uni
+all: $(TARGETS) brl.uni gen-psf-block
 
 test: $(TESTS)
 
@@ -16,6 +16,8 @@
 
 brl-%: brl-%.o psf.o
 	$(CC) -o $@ $(LDFLAGS) $^ $(LDLIBS)
+
+gen-psf-block: gen-psf-block.o psf.o
 
 %.test.o: %.c do.h
 	$(CC) $(CFLAGS) $(CPPFLAGS) -DTEST -c -o $@ $<
@@ -32,4 +34,4 @@
 	./$< 0 > $@
 
 clean:
-	rm -f $(PROGS) $(TESTPROGS) psf.o $(BRLS:.c=.o) $(TARGETS) $(TESTS) brl.uni uni setbrlkeys
+	rm -f $(PROGS) $(TESTPROGS) psf.o $(BRLS:.c=.o) gen-psf-block.o $(TARGETS) $(TESTS) brl.uni uni setbrlkeys gen-psf-block

=== debian/changelog ===
console-braille (1.7) unstable; urgency=medium

  * Add gen-psf-block tool to generate arbitrary dumb fonts.

 -- Samuel Thibault <sthibault@debian.org>  Sun, 18 Feb 2018 02:34:43 +0100

=== debian/control ===
--- 
+++ 
@@ -1,12 +1,12 @@
 Source: console-braille
 Section: utils
-Priority: extra
-Maintainer: Debian Accessibility Team <debian-accessibility@lists.debian.org>
+Priority: optional
+Maintainer: Debian Accessibility Team <pkg-a11y-devel@lists.alioth.debian.org>
 Uploaders: Samuel Thibault <sthibault@debian.org>
 Build-Depends: debhelper (>= 9)
-Standards-Version: 3.9.6
-Vcs-Browser: http://git.debian.org/?p=pkg-a11y/console-braille.git;a=summary
-Vcs-Git: git://git.debian.org/git/pkg-a11y/console-braille.git
+Standards-Version: 4.1.1
+Vcs-Browser: https://anonscm.debian.org/git/pkg-a11y/console-braille.git
+Vcs-Git: https://anonscm.debian.org/git/pkg-a11y/console-braille.git
 Homepage: http://brl.thefreecat.org/
 
 Package: console-braille

## console-braille 1.8

=== debian/changelog ===
console-braille (1.8) unstable; urgency=medium

  * Set Vcs-* to salsa.debian.org.
  * control: Bump Standards-Version to 4.4.0 (no changes).

 -- Samuel Thibault <sthibault@debian.org>  Thu, 29 Aug 2019 00:52:38 +0200

=== debian/control ===
--- 
+++ 
@@ -4,9 +4,9 @@
 Maintainer: Debian Accessibility Team <pkg-a11y-devel@lists.alioth.debian.org>
 Uploaders: Samuel Thibault <sthibault@debian.org>
 Build-Depends: debhelper (>= 9)
-Standards-Version: 4.1.1
-Vcs-Browser: https://anonscm.debian.org/git/pkg-a11y/console-braille.git
-Vcs-Git: https://anonscm.debian.org/git/pkg-a11y/console-braille.git
+Standards-Version: 4.4.0
+Vcs-Browser: https://salsa.debian.org/a11y-team/console-braille
+Vcs-Git: https://salsa.debian.org/a11y-team/console-braille.git
 Homepage: http://brl.thefreecat.org/
 
 Package: console-braille

=== debian/rules ===
--- 
+++ 
@@ -1,10 +1,9 @@
 #!/usr/bin/make -f
+
+export LC_ALL=C.UTF-8
 
 %:
 	dh $@
-
-override_dh_auto_build:
-	LC_ALL=C.UTF-8 $(MAKE)
 
 override_dh_install:
 	dh_install

## console-braille 1.9

=== debian/changelog ===
console-braille (1.9) unstable; urgency=medium

  [ Samuel Thibault ]
  * source/format: Set native format.
  * control: Build-depend on dh-exec.
  * console-braille-install*: Use dh-exec to simplify files.
  * control: Update alioth list domain.

  [ Debian Janitor ]
  * Bump debhelper from deprecated 9 to 12.
  * Set debhelper-compat version in Build-Depends.
  * Update standards version to 4.5.0, no changes needed.

 -- Samuel Thibault <sthibault@debian.org>  Sun, 01 Nov 2020 01:36:30 +0100

=== debian/control ===
--- 
+++ 
@@ -1,10 +1,10 @@
 Source: console-braille
 Section: utils
 Priority: optional
-Maintainer: Debian Accessibility Team <pkg-a11y-devel@lists.alioth.debian.org>
+Maintainer: Debian Accessibility Team <pkg-a11y-devel@alioth-lists.debian.net>
 Uploaders: Samuel Thibault <sthibault@debian.org>
-Build-Depends: debhelper (>= 9)
-Standards-Version: 4.4.0
+Build-Depends: debhelper-compat (= 12), dh-exec
+Standards-Version: 4.5.0
 Vcs-Browser: https://salsa.debian.org/a11y-team/console-braille
 Vcs-Git: https://salsa.debian.org/a11y-team/console-braille.git
 Homepage: http://brl.thefreecat.org/

## console-braille 1.10

=== Makefile ===
BRLS:=$(wildcard brl-*.c)
TARGETS:=$(BRLS:.c=.psf)
PROGS:=$(BRLS:.c=)
TESTPROGS:=$(BRLS:.c=.test)
TESTS:=$(BRLS:.c=.txt)

BUILD_CC ?= $(CC)

UNAME=$(shell uname)

all: $(TARGETS) brl.uni gen-psf-block

test: $(TESTS)

ifeq ($(UNAME),Linux)
all: setbrlkeys
endif


brl-%: brl-%.build.o psf.build.o
	$(BUILD_CC) -o $@ $(LDFLAGS) $^ $(LDLIBS)

gen-psf-block: gen-psf-block.o psf.o

%.build: %.c
	$(BUILD_CC) $(CFLAGS) $(CPPFLAGS) -o $@ $(LDFLAGS) $^ $(LDLIBS)


%.build.o: %.c
	$(BUILD_CC) $(CFLAGS) $(CPPFLAGS) -c -o $@ $<

%.test: %.c do.h
	$(BUILD_CC) $(CFLAGS) $(CPPFLAGS) $(LDFLAGS) -DTEST -o $@ $<


.INTERMEDIATE: $(PROGS) $(TESTPROGS) uni.build

$(TARGETS): %.psf: %
	./$< > $@

$(TESTS): %.txt: %.test
	./$< > $@

brl.uni: uni.build
	./$< 0 > $@


clean:
	rm -f $(PROGS) $(TESTPROGS) psf.o $(BRLS:.c=.o) gen-psf-block.o $(TARGETS) $(TESTS) brl.uni uni.build setbrlkeys gen-psf-block

=== debian/changelog ===
console-braille (1.10) unstable; urgency=medium

  [ Samuel Thibault ]
  * control: Set Rules-Requires-Root to no.
  * Makefile, rules: Fix cross-build.

  [ Debian Janitor ]
  * Bump debhelper from old 12 to 13.
  * Update standards version to 4.5.1, no changes needed.

 -- Samuel Thibault <sthibault@debian.org>  Tue, 26 Oct 2021 00:26:39 +0200

=== debian/control ===
--- 
+++ 
@@ -3,8 +3,9 @@
 Priority: optional
 Maintainer: Debian Accessibility Team <pkg-a11y-devel@alioth-lists.debian.net>
 Uploaders: Samuel Thibault <sthibault@debian.org>
-Build-Depends: debhelper-compat (= 12), dh-exec
-Standards-Version: 4.5.0
+Build-Depends: debhelper-compat (= 13), dh-exec
+Rules-Requires-Root: no
+Standards-Version: 4.5.1
 Vcs-Browser: https://salsa.debian.org/a11y-team/console-braille
 Vcs-Git: https://salsa.debian.org/a11y-team/console-braille.git
 Homepage: http://brl.thefreecat.org/

=== debian/rules ===
--- 
+++ 
@@ -5,6 +5,9 @@
 %:
 	dh $@
 
+override_dh_auto_build:
+	dh_auto_build -- BUILD_CC=gcc
+
 override_dh_install:
 	dh_install
 	for i in amiga atari i386 mac sun; \

## console-braille 1.11

=== Makefile ===
--- 
+++ 
@@ -46,4 +46,4 @@
 
 
 clean:
-	rm -f $(PROGS) $(TESTPROGS) psf.o $(BRLS:.c=.o) gen-psf-block.o $(TARGETS) $(TESTS) brl.uni uni.build setbrlkeys gen-psf-block
+	rm -f $(PROGS) $(TESTPROGS) psf.o psf.build.o $(BRLS:.c=.o) gen-psf-block.o $(TARGETS) $(TESTS) brl.uni uni.build setbrlkeys gen-psf-block

=== debian/changelog ===
console-braille (1.11) unstable; urgency=medium

  [ Samuel Thibault ]
  * control: Bump Standards-Version to 4.6.0 (no change)
  * Add 30x16, 36x20, 43x24, 51x28, 59x32, 74x40, 89x48, 118x64.

  [ Debian Janitor ]
  * Update standards version to 4.6.1, no changes needed.

 -- Samuel Thibault <sthibault@debian.org>  Sat, 15 Feb 2025 23:56:36 +0100

=== debian/control ===
--- 
+++ 
@@ -5,7 +5,7 @@
 Uploaders: Samuel Thibault <sthibault@debian.org>
 Build-Depends: debhelper-compat (= 13), dh-exec
 Rules-Requires-Root: no
-Standards-Version: 4.5.1
+Standards-Version: 4.6.1
 Vcs-Browser: https://salsa.debian.org/a11y-team/console-braille
 Vcs-Git: https://salsa.debian.org/a11y-team/console-braille.git
 Homepage: http://brl.thefreecat.org/

## console-braille 1.11build1

=== debian/changelog ===
console-braille (1.11build1) resolute; urgency=medium

  * No-change mass rebuild for Ubuntu 26.04 (LP: #2132257)

 -- Graham Inggs <ginggs@ubuntu.com>  Wed, 14 Jan 2026 21:32:18 +0000

## console-braille 1.12

=== Makefile ===
--- 
+++ 
@@ -5,6 +5,8 @@
 TESTS:=$(BRLS:.c=.txt)
 
 BUILD_CC ?= $(CC)
+BUILD_CFLAGS ?= $(CFLAGS)
+BUILD_LDFLAGS ?= $(LDFLAGS)
 
 UNAME=$(shell uname)
 
@@ -18,19 +20,19 @@
 
 
 brl-%: brl-%.build.o psf.build.o
-	$(BUILD_CC) -o $@ $(LDFLAGS) $^ $(LDLIBS)
+	$(BUILD_CC) -o $@ $(BUILD_LDFLAGS) $^ $(LDLIBS)
 
 gen-psf-block: gen-psf-block.o psf.o
 
 %.build: %.c
-	$(BUILD_CC) $(CFLAGS) $(CPPFLAGS) -o $@ $(LDFLAGS) $^ $(LDLIBS)
+	$(BUILD_CC) $(BUILD_CFLAGS) $(CPPFLAGS) -o $@ $(BUILD_LDFLAGS) $^ $(LDLIBS)
 
 
 %.build.o: %.c
-	$(BUILD_CC) $(CFLAGS) $(CPPFLAGS) -c -o $@ $<
+	$(BUILD_CC) $(BUILD_CFLAGS) $(CPPFLAGS) -c -o $@ $<
 
 %.test: %.c do.h
-	$(BUILD_CC) $(CFLAGS) $(CPPFLAGS) $(LDFLAGS) -DTEST -o $@ $<
+	$(BUILD_CC) $(BUILD_CFLAGS) $(CPPFLAGS) $(BUILD_LDFLAGS) -DTEST -o $@ $<
 
 
 .INTERMEDIATE: $(PROGS) $(TESTPROGS) uni.build

=== debian/changelog ===
console-braille (1.12) unstable; urgency=medium

  * Makefile, rules: Fix cross build due to cflags.
  * Use secure URI in Homepage field.
  * Update standards version to 4.6.2, no changes needed.

 -- Samuel Thibault <sthibault@debian.org>  Thu, 15 Jan 2026 15:31:05 +0100

=== debian/control ===
--- 
+++ 
@@ -5,10 +5,10 @@
 Uploaders: Samuel Thibault <sthibault@debian.org>
 Build-Depends: debhelper-compat (= 13), dh-exec
 Rules-Requires-Root: no
-Standards-Version: 4.6.1
+Standards-Version: 4.6.2
 Vcs-Browser: https://salsa.debian.org/a11y-team/console-braille
 Vcs-Git: https://salsa.debian.org/a11y-team/console-braille.git
-Homepage: http://brl.thefreecat.org/
+Homepage: https://brl.thefreecat.org/
 
 Package: console-braille
 Architecture: any

=== debian/rules ===
--- 
+++ 
@@ -1,4 +1,6 @@
 #!/usr/bin/make -f
+
+include /usr/share/dpkg/buildflags.mk
 
 export LC_ALL=C.UTF-8
 
@@ -6,7 +8,9 @@
 	dh $@
 
 override_dh_auto_build:
-	dh_auto_build -- BUILD_CC=gcc
+	dh_auto_build -- BUILD_CC=gcc \
+		BUILD_CFLAGS="$(CFLAGS_FOR_BUILD)" \
+		BUILD_LDFLAGS="$(LDFLAGS_FOR_BUILD)"
 
 override_dh_install:
 	dh_install
